package com.younike.common.utils.oss.service;

import com.younike.common.bean.VideoUploadResult;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;

/**
 * OSS存储服务
 *
 * @author chenpengfei
 */
public interface IStorageService {

    String store(MultipartFile file);

    VideoUploadResult storeVideo(MultipartFile file);

    String uploadExcel(File file);


    /**
     * 2022-2-9 Another 上传 filename 是 blob 的文件
     * @param file filename 是 blob 的文件
     * @return 文件路径
     */
    String storeBlob(MultipartFile file);
}
